//NetTalk
/*------------------------------------------------------------------------------*\
 =============================
   模块名称: VideoCapture.h
 =============================
 
 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/
#ifndef _VIDEOCAPTURE_H_
#define _VIDEOCAPTURE_H_


#define MAX_VFW_DEVICES    10


class CVideoCapture
{
public:
	
	BOOL DisconnectFromDriver();
	int GetDriverNum();
	
			
	CVideoCapture();
	virtual ~CVideoCapture();
	
	
	BOOL Init();
	VOID Destroy();
	
	BOOL ConnectToDriver(SHORT DriverIndex);
	
	HWND GetCapWindow();

	
private:    
	HWND m_hWndCap;
	
	
protected:
	BOOL m_bResult;
		
	
	SHORT m_DriverIndex[MAX_VFW_DEVICES];
	
};

#endif 